FreeMat

- Main Page
- Related Pages

vtkRenderedAreaPicker

Section: Visualization Toolkit Rendering Classes

# Usage

Like vtkAreaPicker, this class picks all props within a selection area on the screen. The difference is in implementation. This class uses graphics hardware to perform the test where the other uses software bounding box/frustum intersection testing.

This picker is more conservative than vtkAreaPicker. It will reject some objects that pass the bounding box test of vtkAreaPicker. This will happen, for instance, when picking through a corner of the bounding box when the data set does not have any visible geometry in that corner.

To create an instance of class vtkRenderedAreaPicker, simply invoke its constructor as follows

      obj = vtkRenderedAreaPicker

# Methods

The class vtkRenderedAreaPicker has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderedAreaPicker class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderedAreaPicker = obj.NewInstance ()`
- `vtkRenderedAreaPicker = obj.SafeDownCast (vtkObject o)`
- `int = obj.AreaPick (double x0, double y0, double x1, double y1, vtkRenderer renderer)` - Perform pick operation in volume behind the given screen coordinates. Props intersecting the selection frustum will be accesible via GetProp3D. GetPlanes returns a vtkImplicitFunciton suitable for vtkExtractGeometry.